commit:     850ec7729eef9ad9dbbe37be3d6f90f38e4c9754
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Sun Aug  9 11:33:37 2020 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Sun Aug  9 11:33:37 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=850ec772

dev-python/quex: EAPI 7

Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-python/quex/files/quex-0.65.4-gentoo.patch | 17 +++------
 dev-python/quex/files/quex.sh                  |  1 +
 dev-python/quex/quex-0.65.4-r1.ebuild          | 48 ++++++++++++++++++++++++++
 3 files changed, 53 insertions(+), 13 deletions(-)

diff --git a/dev-python/quex/files/quex-0.65.4-gentoo.patch 
b/dev-python/quex/files/quex-0.65.4-gentoo.patch
index cbe161a18e1..d870c765f78 100644
--- a/dev-python/quex/files/quex-0.65.4-gentoo.patch
+++ b/dev-python/quex/files/quex-0.65.4-gentoo.patch
@@ -1,5 +1,5 @@
---- quex-0.65.4/quex-exe.py.old        2017-12-13 21:42:48.633280478 +0100
-+++ quex-0.65.4/quex-exe.py    2017-12-13 21:43:02.066040530 +0100
+--- a/quex-exe.py      2017-12-13 21:42:48.633280478 +0100
++++ b/quex-exe.py      2017-12-13 21:43:02.066040530 +0100
 @@ -40,11 +40,6 @@
      print("error: Please, use Python versions 2.x.")
      sys.exit(-1)
@@ -12,17 +12,8 @@
  try:
      exception_checker.do_on_import(sys.argv)
      import quex.DEFINITIONS
---- quex-0.65.4/quex/DEFINITIONS.py.old        2017-12-13 21:48:52.887765325 
+0100
-+++ quex-0.65.4/quex/DEFINITIONS.py    2017-12-13 21:52:29.805877359 +0100
-@@ -23,7 +23,7 @@
- QUEX_VERSION = '0.65.4'
- 
- try:
--    QUEX_INSTALLATION_DIR = os.environ["QUEX_PATH"]
-+    QUEX_INSTALLATION_DIR = "@PYTHON_SITEDIR@"
-     # Note, that windows can also deal with backslashes.
-     QUEX_INSTALLATION_DIR = QUEX_INSTALLATION_DIR.replace("\\", "/")
- except:
+--- a/quex/DEFINITIONS.py      2017-12-13 21:48:52.887765325 +0100
++++ b/quex/DEFINITIONS.py      2017-12-13 21:52:29.805877359 +0100
 @@ -49,15 +49,14 @@
      sys.exit(-1) # sys.exit(-1) is acceptable
  

diff --git a/dev-python/quex/files/quex.sh b/dev-python/quex/files/quex.sh
new file mode 100644
index 00000000000..26bd161e969
--- /dev/null
+++ b/dev-python/quex/files/quex.sh
@@ -0,0 +1 @@
+export QUEX_PATH=/usr/share

diff --git a/dev-python/quex/quex-0.65.4-r1.ebuild 
b/dev-python/quex/quex-0.65.4-r1.ebuild
new file mode 100644
index 00000000000..ad2be6628c0
--- /dev/null
+++ b/dev-python/quex/quex-0.65.4-r1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit python-single-r1
+
+DESCRIPTION="Mode Oriented Directly Coded Lexical Analyser Generator"
+HOMEPAGE="http://quex.sourceforge.net/";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}"
+BDEPEND="${RDEPEND}"
+DEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}"/${P}-gentoo.patch )
+
+src_prepare() {
+       default
+       sed -i \
+               -e "s:@PYTHON_SITEDIR@:$(python_get_sitedir):g" \
+               quex/DEFINITIONS.py || die
+       mv quex/engine/codec_db/database . || die
+       mv quex/code_base . || die
+}
+
+src_install() {
+       default
+       insinto /usr/share/quex
+       doins -r database
+       doins -r code_base
+
+       python_domodule quex
+       python_newscript quex-exe.py quex
+       doman manpage/quex.1
+       dodoc -r demo
+       insinto /etc/profile.d/
+       doins "${FILESDIR}"/quex.sh
+}

Reply via email to